Skip to main content

Authorizations


Overview

This section describes how to make a successful authorization request.

A successful request returns a 200-level HTTP response code.

For information about response codes, see Transaction Response Codes.

Follow-on Transactions

After the initial transaction is complete, additional follow-on transactions can be made as Merchant-Initiated Transactions (MITs).

For more information about how to process MITs, see the Introduction to Credentialed Transactions section in the Credentialed Transactions Developer Guide.

Supported processors (20)

American Express Direct, Banque de France et Tresor Public, Barclays, BNP Paribas France, Chase Paymentech Solutions, Credit Mutuel-CIC, Elavon Americas, FDC Compass, FDC Nashville Global, GPN, HSBC, JCN Gateway, Moneris, OmniPay Direct, SIX, Streamline, TSYS Acquiring Solutions, Vero, , Worldpay VAP

Supported processors: Chase Paymentech Solutions, Elavon Americas, FDC Nashville Global, Streamline, , Worldpay VAP

Supported processor: Barclays

Supported processor:

Endpoint

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "processingInformation": {    "paymentSolution": "012"  },  "paymentInformation": {    "fluidData": {      "value": "ABCDEFabcdefABCDEFabcdef0987654321234567"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "102.21",      "currency": "USD"    },    "billTo": {      "firstName": "John",      "lastName": "Doe",      "address1": "123 Happy Street",      "locality": "Ann Arbor",      "administrativeArea": "MI",      "postalCode": "48104-2201",      "country": "US",      "email": "[email protected]"    }  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/6805343125426255503955/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6805343125426255503955"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/6805343125426255503955/captures"    }  },  "clientReferenceInformation": {    "code": "TC50171_3"  },  "id": "6805343125426255503955",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "102.21",      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "tokenizedCard": {      "type": "001"    },    "card": {      "type": "001"    }  },  "pointOfSaleInformation": {    "terminalId": "111111"  },  "processorInformation": {    "approvalCode": "888888",    "networkTransactionId": "123456789619999",    "transactionId": "123456789619999",    "responseCode": "100",    "avs": {      "code": "X",      "codeRaw": "I1"    }  },  "reconciliationId": "65301815QFTXZAN6",  "status": "AUTHORIZED",  "submitTimeUtc": "2023-04-03T15:05:12Z"}

These fields are required for a successful authorization.

FieldTypeDescription
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
orderInformation.billTo.address1
orderInformation.billTo.administrativeArea
orderInformation.billTo.country
orderInformation.billTo.email
orderInformation.billTo.firstName
orderInformation.billTo.lastName
orderInformation.billTo.locality
orderInformation.billTo.postalCode
paymentInformation.fluidData.valueSet to the string value generated from the full wallet response.
processingInformation.paymentSolutionSet to 012.

Last published: September 29, 2026